CudaStencilTable Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
CudaStencilTable Class Reference

CUDA stencil table. More...

`#include <cudaEvaluator.h>`

## Public Member Functions
| CudaStencilTable (Far::StencilTable const *stencilTable)
| CudaStencilTable (Far::LimitStencilTable const *limitStencilTable)
| ~CudaStencilTable ()
void * | GetSizesBuffer () const
void * | GetOffsetsBuffer () const
void * | GetIndicesBuffer () const
void * | GetWeightsBuffer () const
void * | GetDuWeightsBuffer () const
void * | GetDvWeightsBuffer () const
int | GetNumStencils () const

## Static Public Member Functions
static CudaStencilTable * | Create (Far::StencilTable const *stencilTable, void *deviceContext=NULL)
static CudaStencilTable * | Create (Far::LimitStencilTable const *limitStencilTable, void *deviceContext=NULL)

## Detailed Description

CUDA stencil table.

This class is a cuda buffer representation of Far::StencilTable.

CudaEvaluator consumes this table to apply stencils

Definition at line 52 of file cudaEvaluator.h.

## Constructor & Destructor Documentation

CudaStencilTable | ( | Far::StencilTable const * | stencilTable | ) |
| explicit

CudaStencilTable | ( | Far::LimitStencilTable const * | limitStencilTable | ) |
| explicit

~CudaStencilTable | ( |  | ) |

## Member Function Documentation

static CudaStencilTable* Create | ( | Far::StencilTable const * | stencilTable,
|  | void * | deviceContext = `NULL`
| ) |  |
| inlinestatic

Definition at line 54 of file cudaEvaluator.h.

static CudaStencilTable* Create | ( | Far::LimitStencilTable const * | limitStencilTable,
|  | void * | deviceContext = `NULL`
| ) |  |
| inlinestatic

Definition at line 59 of file cudaEvaluator.h.

void* GetDuWeightsBuffer | ( |  | ) | const
| inline

Definition at line 74 of file cudaEvaluator.h.

void* GetDvWeightsBuffer | ( |  | ) | const
| inline

Definition at line 75 of file cudaEvaluator.h.

void* GetIndicesBuffer | ( |  | ) | const
| inline

Definition at line 72 of file cudaEvaluator.h.

int GetNumStencils | ( |  | ) | const
| inline

Definition at line 76 of file cudaEvaluator.h.

void* GetOffsetsBuffer | ( |  | ) | const
| inline

Definition at line 71 of file cudaEvaluator.h.

void* GetSizesBuffer | ( |  | ) | const
| inline

Definition at line 70 of file cudaEvaluator.h.

void* GetWeightsBuffer | ( |  | ) | const
| inline

Definition at line 73 of file cudaEvaluator.h.

The documentation for this class was generated from the following file:

- opensubdiv/osd/cudaEvaluator.h